Package ghidra.util

# Class ObjectStorageStreamAdapter

java.lang.Object
ghidra.util.ObjectStorageStreamAdapter

All Implemented Interfaces:
  `ObjectStorage`

public class ObjectStorageStreamAdapter extends Object implements ObjectStorage
Implementation for ObjectStorage to save and restore Strings and Java primitives using an ObjectOutputStream and ObjectInputStream, respectively.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ObjectStorageStreamAdapter(ObjectInputStream in)`
  Constructor for new ObjectStorageStreamAdapter
  `ObjectStorageStreamAdapter(ObjectOutputStream out)`
  Constructor for ObjectStorageStreamAdapter.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `getBoolean()`
  Gets the boolean value.
  `byte`
  `getByte()`
  Gets the byte value.
  `byte[]`
  `getBytes()`
  Gets the byte array.
  `double`
  `getDouble()`
  Gets the double value.
  `double[]`
  `getDoubles()`
  Gets the double array.
  `float`
  `getFloat()`
  Gets the float value.
  `float[]`
  `getFloats()`
  Gets the float array.
  `int`
  `getInt()`
  Gets the int value.
  `int[]`
  `getInts()`
  Gets the int array.
  `long`
  `getLong()`
  Gets the long value.
  `long[]`
  `getLongs()`
  Gets the long array.
  `short`
  `getShort()`
  Gets the short value.
  `short[]`
  `getShorts()`
  Gets the short array.
  `String`
  `getString()`
  Gets the String value.
  `String[]`
  `getStrings()`
  Gets the array of Strings
  `void`
  `putBoolean(boolean value)`
  Store a boolean value.
  `void`
  `putByte(byte value)`
  Store a byte value.
  `void`
  `putBytes(byte[] value)`
  Store a byte array.
  `void`
  `putDouble(double value)`
  Store a double value.
  `void`
  `putDoubles(double[] value)`
  Store a double array value.
  `void`
  `putFloat(float value)`
  Store a float value.
  `void`
  `putFloats(float[] value)`
  Store a float array.
  `void`
  `putInt(int value)`
  Store an integer value.
  `void`
  `putInts(int[] value)`
  Store an integer array.
  `void`
  `putLong(long value)`
  Store a long value.
  `void`
  `putLongs(long[] value)`
  Store a long array.
  `void`
  `putShort(short value)`
  Store a short value.
  `void`
  `putShorts(short[] value)`
  Store a short array.
  `void`
  `putString(String value)`
  Store a String value.
  `void`
  `putStrings(String[] value)`
  Store a String[] value.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ObjectStorageStreamAdapter

    public ObjectStorageStreamAdapter(ObjectOutputStream out)
    Constructor for ObjectStorageStreamAdapter.
    Parameters:
      `out` - output stream to write to

  - ### ObjectStorageStreamAdapter

    public ObjectStorageStreamAdapter(ObjectInputStream in)
    Constructor for new ObjectStorageStreamAdapter
    Parameters:
      `in` - input stream to read from

- ## Method Details

  - ### putInt

    public void putInt(int value)
    Description copied from interface: `ObjectStorage`
    Store an integer value.
    Specified by:
      `putInt` in interface `ObjectStorage`
    Parameters:
      `value` - The value in the name,value pair.

  - ### putByte

    public void putByte(byte value)
    Description copied from interface: `ObjectStorage`
    Store a byte value.
    Specified by:
      `putByte` in interface `ObjectStorage`
    Parameters:
      `value` - The value in the name,value pair.

  - ### putShort

    public void putShort(short value)
    Description copied from interface: `ObjectStorage`
    Store a short value.
    Specified by:
      `putShort` in interface `ObjectStorage`
    Parameters:
      `value` - The value in the name,value pair.

  - ### putLong

    public void putLong(long value)
    Description copied from interface: `ObjectStorage`
    Store a long value.
    Specified by:
      `putLong` in interface `ObjectStorage`
    Parameters:
      `value` - The value in the name,value pair.

  - ### putString

    public void putString(String value)
    Description copied from interface: `ObjectStorage`
    Store a String value.
    Specified by:
      `putString` in interface `ObjectStorage`
    Parameters:
      `value` - The value in the name,value pair.

  - ### putBoolean

    public void putBoolean(boolean value)
    Description copied from interface: `ObjectStorage`
    Store a boolean value.
    Specified by:
      `putBoolean` in interface `ObjectStorage`
    Parameters:
      `value` - The value in the name,value pair.

  - ### putFloat

    public void putFloat(float value)
    Description copied from interface: `ObjectStorage`
    Store a float value.
    Specified by:
      `putFloat` in interface `ObjectStorage`
    Parameters:
      `value` - The value in the name,value pair.

  - ### putDouble

    public void putDouble(double value)
    Description copied from interface: `ObjectStorage`
    Store a double value.
    Specified by:
      `putDouble` in interface `ObjectStorage`
    Parameters:
      `value` - The value in the name,value pair.

  - ### getInt

    public int getInt()
    Description copied from interface: `ObjectStorage`
    Gets the int value.
    Specified by:
      `getInt` in interface `ObjectStorage`

  - ### getByte

    public byte getByte()
    Description copied from interface: `ObjectStorage`
    Gets the byte value.
    Specified by:
      `getByte` in interface `ObjectStorage`

  - ### getShort

    public short getShort()
    Description copied from interface: `ObjectStorage`
    Gets the short value.
    Specified by:
      `getShort` in interface `ObjectStorage`

  - ### getLong

    public long getLong()
    Description copied from interface: `ObjectStorage`
    Gets the long value.
    Specified by:
      `getLong` in interface `ObjectStorage`

  - ### getBoolean

    public boolean getBoolean()
    Description copied from interface: `ObjectStorage`
    Gets the boolean value.
    Specified by:
      `getBoolean` in interface `ObjectStorage`

  - ### getString

    public String getString()
    Description copied from interface: `ObjectStorage`
    Gets the String value.
    Specified by:
      `getString` in interface `ObjectStorage`

  - ### getFloat

    public float getFloat()
    Description copied from interface: `ObjectStorage`
    Gets the float value.
    Specified by:
      `getFloat` in interface `ObjectStorage`

  - ### getDouble

    public double getDouble()
    Description copied from interface: `ObjectStorage`
    Gets the double value.
    Specified by:
      `getDouble` in interface `ObjectStorage`

  - ### putInts

    public void putInts(int[] value)
    Description copied from interface: `ObjectStorage`
    Store an integer array.
    Specified by:
      `putInts` in interface `ObjectStorage`

  - ### putBytes

    public void putBytes(byte[] value)
    Description copied from interface: `ObjectStorage`
    Store a byte array.
    Specified by:
      `putBytes` in interface `ObjectStorage`

  - ### putShorts

    public void putShorts(short[] value)
    Description copied from interface: `ObjectStorage`
    Store a short array.
    Specified by:
      `putShorts` in interface `ObjectStorage`

  - ### putLongs

    public void putLongs(long[] value)
    Description copied from interface: `ObjectStorage`
    Store a long array.
    Specified by:
      `putLongs` in interface `ObjectStorage`

  - ### putFloats

    public void putFloats(float[] value)
    Description copied from interface: `ObjectStorage`
    Store a float array.
    Specified by:
      `putFloats` in interface `ObjectStorage`

  - ### putDoubles

    public void putDoubles(double[] value)
    Description copied from interface: `ObjectStorage`
    Store a double array value.
    Specified by:
      `putDoubles` in interface `ObjectStorage`

  - ### putStrings

    public void putStrings(String[] value)
    Description copied from interface: `ObjectStorage`
    Store a String[] value.
    Specified by:
      `putStrings` in interface `ObjectStorage`

  - ### getInts

    public int[] getInts()
    Description copied from interface: `ObjectStorage`
    Gets the int array.
    Specified by:
      `getInts` in interface `ObjectStorage`

  - ### getBytes

    public byte[] getBytes()
    Description copied from interface: `ObjectStorage`
    Gets the byte array.
    Specified by:
      `getBytes` in interface `ObjectStorage`

  - ### getShorts

    public short[] getShorts()
    Description copied from interface: `ObjectStorage`
    Gets the short array.
    Specified by:
      `getShorts` in interface `ObjectStorage`

  - ### getLongs

    public long[] getLongs()
    Description copied from interface: `ObjectStorage`
    Gets the long array.
    Specified by:
      `getLongs` in interface `ObjectStorage`

  - ### getFloats

    public float[] getFloats()
    Description copied from interface: `ObjectStorage`
    Gets the float array.
    Specified by:
      `getFloats` in interface `ObjectStorage`

  - ### getDoubles

    public double[] getDoubles()
    Description copied from interface: `ObjectStorage`
    Gets the double array.
    Specified by:
      `getDoubles` in interface `ObjectStorage`

  - ### getStrings

    public String[] getStrings()
    Description copied from interface: `ObjectStorage`
    Gets the array of Strings
    Specified by:
      `getStrings` in interface `ObjectStorage`